Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021356
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2012-08-13 14:332012-09-01 01:03
ReportermaiteView Statuspublic 
Assigned Tojecharri 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionf7b62f3e8e34
ProjectionnoneETAnoneTarget Version3.0MP15
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021356: Mixing reconciliations error obtained when changing defaulted cleared element

DescriptionWhen you run "Match Statement" process, you can received already cleared line in grid. If you press "Add" button to modify cleared element without unmark previous relation, "Mixing reconciliations" error will be obtained.
Steps To Reproduce1. Create "Bank Statement" with today's date and containing one line for specific BP and amount IN=50. Process Bank statement
2. Create Payment In for today's date, specific BP and amount=50. Add details and select any gl item. Process payment and deposit.
3. Create Payment In for today's date, specific BP and amount=50. Add details and select any gl item. Process payment (not deposit)
4. From Financial Account, press "Match statement" button. You will receive weak matching to clear your bank statement line and your transaction. Check them and press "Save"
5. From Financial Account, press "Match statement" button again. Select "Cleared" button and your previous line will be showed. Press "Add" button and select your pending payment in of 50eur. Accept.
6. From Financial Account, press "Match statement" button again. Error "Mixing reconciliations: you cannot perform a manual and automatic reconciliation in parallel." will be received.

If you add to Reconciliation tab, you can verify that your reconciliation have one cleared item associated to bank statement line and another cleared item with no association to bank statement line.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0051635)
hgbot (developer)
2012-08-29 14:15

Repository: erp/devel/pi
Changeset: bd8ef9641e5d12843bbdc8ea11c909bea1575c32
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Wed Aug 29 14:13:14 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/bd8ef9641e5d12843bbdc8ea11c909bea1575c32 [^]

Fixes issue 21356: Mixing reconciliations
error obtained when changing defaulted cleared element

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/MatchTransaction.html
---
(0051636)
hgbot (developer)
2012-08-29 14:19

Repository: erp/devel/pi
Changeset: f7b62f3e8e34d8840ee9fc8cccdfe3d7f9df3bbd
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Wed Aug 29 14:17:29 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f7b62f3e8e34d8840ee9fc8cccdfe3d7f9df3bbd [^]

Fixes issue 21356: Mixing reconciliations
error obtained when changing defaulted cleared element

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/MatchTransaction.html
---
(0051661)
maite (developer)
2012-08-30 09:29

verified
(0051736)
hudsonbot (developer)
2012-09-01 01:03

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/05b3ea484705 [^]

Maturity status: Test
(0051737)
hudsonbot (developer)
2012-09-01 01:03

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/05b3ea484705 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-08-13 14:33 maite New Issue
2012-08-13 14:33 maite Assigned To => mirurita
2012-08-13 14:33 maite Modules => Advanced Payables and Receivables Mngmt
2012-08-13 14:33 maite Assigned To mirurita => jonalegriaesarte
2012-08-13 14:33 maite Issue Monitored: networkb
2012-08-13 14:34 maite Target Version => 3.0MP15
2012-08-17 13:24 jonalegriaesarte Assigned To jonalegriaesarte => jecharri
2012-08-29 14:15 hgbot Checkin
2012-08-29 14:15 hgbot Note Added: 0051635
2012-08-29 14:15 hgbot Status new => resolved
2012-08-29 14:15 hgbot Resolution open => fixed
2012-08-29 14:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bd8ef9641e5d12843bbdc8ea11c909bea1575c32 [^]
2012-08-29 14:19 hgbot Checkin
2012-08-29 14:19 hgbot Note Added: 0051636
2012-08-29 14:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/bd8ef9641e5d12843bbdc8ea11c909bea1575c32 [^] => http://code.openbravo.com/erp/devel/pi/rev/f7b62f3e8e34d8840ee9fc8cccdfe3d7f9df3bbd [^]
2012-08-30 09:29 maite Note Added: 0051661
2012-08-30 09:29 maite Status resolved => closed
2012-09-01 01:03 hudsonbot Checkin
2012-09-01 01:03 hudsonbot Note Added: 0051736
2012-09-01 01:03 hudsonbot Checkin
2012-09-01 01:03 hudsonbot Note Added: 0051737


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker